For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet profile
      • PUTUpdate profile
      • DELDelete profile
      • GETList profiles
      • POSTCreate profile
LogoLogo
API ReferenceCampaign Profiles

Update profile

||View as Markdown|
PUT
https://hublinks.io/rest/accounts/:account_id/campaigns/:campaign_id/profiles/:profile_id
PUT
/rest/accounts/:account_id/campaigns/:campaign_id/profiles/:profile_id
$curl -X PUT https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json"
200Response
1{
2 "success": true,
3 "profile": {
4 "id": "100440605",
5 "status": "DONE",
6 "last_name": "Hollander",
7 "account_id": "ACCO136ce10b5f8a7682efb3",
8 "campaign_id": "campaign_f5b6b2abda0a2372b4a5"
9 },
10 "profile_old": {
11 "campaign_id": "campaign_f5b6b2abda0a2372b4a5",
12 "id": "100440605",
13 "status": "SKIP",
14 "urn_lp": "ACoAAAX8mh0BPkLOBzbr0YpIg7l3jHyTPMQ2lNg",
15 "seat_id": "seat_5517350802fc27a59061",
16 "comp_name": "HotelTechReport.com",
17 "filter_id": "filter_08ee55e44bba4f946204",
18 "full_name": "Jordan Hollander",
19 "job_title": "Co-Founder",
20 "last_name": "Hollandersssss",
21 "ln_degree": 2,
22 "member_id": "100440605",
23 "public_id": "jordan-hollander-42577929",
24 "account_id": "ACCO136ce10b5f8a7682efb3",
25 "first_name": "Jordan",
26 "wait_until": 1753463026805,
27 "action_logs": [
28 {
29 "n": "node-fbf15000-c0fb8a547791",
30 "s": 200,
31 "t": 1753393235445
32 },
33 {
34 "n": "node-46c3eb1d-78531a1e1815",
35 "s": 200,
36 "t": 1753393269484
37 },
38 {
39 "n": "node-9299d274-cc559b70a7b1",
40 "s": 200,
41 "t": 1753455714217
42 },
43 {
44 "n": "node-f51d96ff-9d93b919927e",
45 "s": 200,
46 "t": 1753896035785
47 }
48 ],
49 "last_action": "ln_profile_inmail",
50 "ln_headline": "HotelTechReport.com | The hotel industry's app store and innovation analyst",
51 "next_action": "ln_profile_inmail",
52 "comp_website": "hoteltechreport.com",
53 "next_node_id": "node-f51d96ff-9d93b919927e",
54 "last_action_at": 1753896035775,
55 "comp_industry_name": "Hospitality",
56 "comp_location_region": "US, CA, Los Angeles",
57 "ln_profile_message_at": 1753896030002,
58 "ln_profile_replied_at": 1753896029108,
59 "ln_profile_inmail_count": 1
60 },
61 "updated_fields": []
62}
Update a profile. **Request body fields (wrapped in `profile` object for CREATE; flat for UPDATE):** - `campaign_id` (string, required for create) - Parent campaign ID. - `seat_id` (string, required for create) - Seat performing outreach. - `member_id` (string, required) - Linkedin member ID. - `status` (string, optional) - `RUN` | `DONE` | `PAUSED`. - `first_name` / `last_name` (string, optional) - Profile name override.
Was this page helpful?
Previous

Get profile

Next

Delete profile

Built with

Update a profile.

Request body fields (wrapped in profile object for CREATE; flat for UPDATE):

  • campaign_id (string, required for create) - Parent campaign ID.
  • seat_id (string, required for create) - Seat performing outreach.
  • member_id (string, required) - Linkedin member ID.
  • status (string, optional) - RUN | DONE | PAUSED.
  • first_name / last_name (string, optional) - Profile name override.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired
profile_idstringRequired

Request

This endpoint expects an object.
statusstringRequired
last_namestringRequired

Response

This endpoint returns an object.
successboolean
profileobject
profile_oldobject
updated_fieldslist of any